org.optaplanner.core.config.heuristic.selector.move.factory

## Class MoveIteratorFactoryConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<MoveIteratorFactoryConfig>
      - - org.optaplanner.core.config.heuristic.selector.move.factory.MoveIteratorFactoryConfig

-     public class MoveIteratorFactoryConfig
      extends MoveSelectorConfig<MoveIteratorFactoryConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<? extends MoveIteratorFactory>` | `moveIteratorFactoryClass`
    `protected Map<String,String>` | `moveIteratorFactoryCustomProperties`

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoveIteratorFactoryConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
    `MoveIteratorFactoryConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `Class<? extends MoveIteratorFactory>` | `getMoveIteratorFactoryClass()`
    `Map<String,String>` | `getMoveIteratorFactoryCustomProperties()`
    `MoveIteratorFactoryConfig` | `inherit(MoveIteratorFactoryConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setMoveIteratorFactoryClass(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)`
    `void` | `setMoveIteratorFactoryCustomProperties(Map<String,String> moveIteratorFactoryCustomProperties)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `buildMoveSelector, buildUnfoldedMoveSelectorConfig, determineBaseRandomSelection, extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClassList, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig

      `validateCacheTypeVersusSelectionOrder`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### moveIteratorFactoryClass

          protected Class<? extends MoveIteratorFactory> moveIteratorFactoryClass

    - #### moveIteratorFactoryCustomProperties

          @XStreamConverter(value=KeyAsElementMapConverter.class)
          protected Map<String,String> moveIteratorFactoryCustomProperties

  - ### Constructor Detail

    - #### MoveIteratorFactoryConfig

          public MoveIteratorFactoryConfig()

  - ### Method Detail

    - #### getMoveIteratorFactoryClass

          public Class<? extends MoveIteratorFactory> getMoveIteratorFactoryClass()

    - #### setMoveIteratorFactoryClass

          public void setMoveIteratorFactoryClass(Class<? extends MoveIteratorFactory> moveIteratorFactoryClass)

    - #### getMoveIteratorFactoryCustomProperties

          public Map<String,String> getMoveIteratorFactoryCustomProperties()

    - #### setMoveIteratorFactoryCustomProperties

          public void setMoveIteratorFactoryCustomProperties(Map<String,String> moveIteratorFactoryCustomProperties)

    - #### buildBaseMoveSelector

          public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    boolean randomSelection)

      Specified by:
        `buildBaseMoveSelector` in class `MoveSelectorConfig<MoveIteratorFactoryConfig>`
      Parameters:
        `configPolicy` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
      Returns:
        never null

    - #### inherit

          public MoveIteratorFactoryConfig inherit(MoveIteratorFactoryConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `MoveSelectorConfig<MoveIteratorFactoryConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public MoveIteratorFactoryConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<MoveIteratorFactoryConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<MoveIteratorFactoryConfig>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.